Ask Your Question
0

openni kinect: build errors

asked 2011-09-08 20:21:28 -0500

ychua gravatar image

I have problems installing openni_kinect stack. I can't install the openni drivers on my system. I meet the following errors in my 'make':

../../../../../Wrappers/OpenNI.jni/methods.inl:314: warning: deprecated conversion from string constant to ‘char’ /bin/sh: javac: not found make[3]: [../../../Bin/Release/org.OpenNI.jar] Error 127 make[2]: [Wrappers/OpenNI.java] Error 2 failed to execute: make PLATFORM=x86 -C ../Build > /home/yuanwei/drivers/openni/build/openni/Platform/Linux-x86/CreateRedist/Output/BuildOpenNI.txt Building Failed! make[1]: [installed] Error 1 make[1]: Leaving directory `/home/yuanwei/drivers/openni' make: * [openni_lib] Error 2

I've installed java sdk but these errors still stay. Any ideas how to solve this?

edit retag flag offensive close merge delete

Comments

I was following the instruction to install the openni_kinect stack. And this is the point where I'm stuck hg clone https://kforge.ros.org/openni/drivers cd drivers make
ychua gravatar image ychua  ( 2011-09-08 21:35:38 -0500 )edit
We're going to need to know more about your system. What platform? What hardare? What versions? If you're on ubuntu, why not just install using the pre-built packages?
Mac gravatar image Mac  ( 2011-09-09 02:10:26 -0500 )edit
my system is ubuntu 10.04, kernel linux 2.6.32-33-generic-pae, GNOME 2.30.2. My hardware is Intel Core2 duo CPU E8400. Pre-built packages? How do I install the pre-built packages? any url that you can point me to?
ychua gravatar image ychua  ( 2011-09-11 13:28:26 -0500 )edit
Use the electric install instructions: http://www.ros.org/wiki/electric/Installation/Ubuntu. Then, do sudo apt-get install openni-kinect (I'm remember that package name off the top of my head; might be slightly wrong).
Mac gravatar image Mac  ( 2011-09-12 02:15:48 -0500 )edit

2 Answers

Sort by » oldest newest most voted
2

answered 2011-09-12 13:05:12 -0500

ychua gravatar image

Hi Mac, Thanks for your kindness and suggestions. I've managed to resolve the problem. It seems that even though I've followed the java sdk installation instructions from the oracle website, the default java version is always openjdk.

sudo apt-get install python-software-properties sudo add-apt-repository ppa:sun-java-community-team/sun-java6 sudo apt-get update sudo apt-get install sun-java6-jdk

I did the above steps to install the java6-sdk. And the openni-kinect driver builds successfully now!

edit flag offensive delete link more

Comments

Thanks! This worked!

Joy16 gravatar image Joy16  ( 2017-02-27 17:59:19 -0500 )edit
0

answered 2011-09-08 21:36:12 -0500

ychua gravatar image

I was following the instruction to install the openni_kinect stack. And this is the point where I'm stuck

hg clone https://kforge.ros.org/openni/drivers
cd drivers
make

edit flag offensive delete link more

Comments

Pls mention the issue that you faced. by following these instructions
karthik gravatar image karthik  ( 2011-10-19 03:42:18 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-09-08 20:21:28 -0500

Seen: 2,127 times

Last updated: Sep 12 '11